Subject: Master:809780b failing t9151-svn-mergeinfo.sh

From: A Large Angry SCM <[email-masked]>
Date: Sun, 14 Mar 2010 19:09:53 -0400

[I've been away from computers for 10 days and I'm 611 messages behind 
so if this is old news please ignore the noise.]

Master 809780 is failing test 1 of t9151-svn-mergeinfo.sh with the 
following information:

*** t9151-svn-mergeinfo.sh ***
* FAIL 1: load svn dump

                 svnadmin load -q '/home/internet/GIT/git/t/trash 
directory.t9151-svn-mergeinfo/svnrepo'           < 
'/home/internet/GIT/git/t/t9151/svn-mergeinfo.dump' &&
                 git svn init --minimize-url -R svnmerge           -T 
trunk -b branches 'file:///home/internet/GIT/git/t/trash 
directory.t9151-svn-mergeinfo/svnrepo' &&
                 git svn fetch --all

*   ok 2: all svn merges became git merge commits
*   ok 3: cherry picks did not become git merge commits
*   ok 4: svn non-merge merge commits did not become git merge commits
*   ok 5: commit made to merged branch is reachable from the merge
*   ok 6: merging two branches in one commit is detected correctly
*   still broken 7: everything got merged in the end
* still have 1 known breakage(s)
* failed 1 among remaining 6 test(s)
make[2]: *** [t9151-svn-mergeinfo.sh] Error 1
make[2]: Leaving directory `/home/internet/GIT/git/t'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/internet/GIT/git/t'
make: *** [test] Error 2

This is on a 64 bit (mostly) Debian Squeeze system. The last working 
master before I left was 6d84bcb.